MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000050Kalkules[All Projects] Feature requestpublic2014-07-22 12:592017-03-21 16:15
Reporterguest 
Assigned ToJardo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS VersionAll
Product Version1.9.5.24 
Target Version1.9.6.25Fixed in Version1.9.6.25 
Summary0000050: Settings "Insert last result (ANS) and operator" not always working for some negative numbers
Description- Setting "Insert last result (ANS) and operator" works fine for "+", "-", etc.
- Since 1.9.5.24 it is working for nearly all functions like SIN, COS, LOG,etc.
-> thanks a lot for this fix!!!

- BUT: if the result (ANS) is negative, some operations will generate errors
- eX -> "Operator can not be followed by another operator"
- 1/x -> "Operator can not be followed by another operator"
- same for 10^ and 2^
- Root -> will result in negative numbers, allthough NOT root(neg) is not allowed
-> possible solution: Kalkules should enter "$e^(" (with a bracket)
- similar error for x2, x3, xY
Steps To Reproduce- type "-10" <enter>
- press button "eX" and then <enter>
-> "Operator can not be followed by another operator"
----------
- type "-10" <enter>
- press button "1/x" and then <enter>
-> "Operator can not be followed by another operator"
----------
- type "-10" <enter>
- press button "10^" or "2^" and then <enter>
-> "Operator can not be followed by another operator"
----------
- type "-10" <enter>
- press button "root" and then <enter>
-> "-3,162278" -> wrong. (neg)^(1/2) should generate an error
----------
- type "-10" <enter>
- press button "root" and then <enter>
-> "-3,162278" -> wrong! (neg)^(1/2) should generate an error
-> same for 3rd root, - root
----------
- type "-10" <enter>
- press button "x2" and then <enter>
-> "-100" -> wrong! Should be "100"
-> same for x3, xY
----------
Additional Informationsimple solution
- Kalkules should enter ANS always with brackets -> (ANS)
- works fine for all aforesaid cases

TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2014-07-22 12:59 guest New Issue
2014-10-24 19:59 Jardo Assigned To => Jardo
2014-10-24 19:59 Jardo Status new => assigned
2014-10-24 19:59 Jardo Target Version => 1.9.6.25
2014-11-02 13:17 Jardo Status assigned => resolved
2014-11-02 13:17 Jardo Resolution open => fixed
2014-11-02 13:17 Jardo Fixed in Version => 1.9.6.25
2014-12-09 20:28 Jardo Status resolved => closed
2016-01-09 15:13 guest Status closed => feedback
2016-01-09 15:13 guest Resolution fixed => reopened
2017-03-21 16:15 Jardo Status feedback => resolved
2017-03-21 16:15 Jardo Resolution reopened => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker